org.apache.commons.io.output

## Class XmlStreamWriter.Builder

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.build.AbstractOriginSupplier<T,B>
    - - org.apache.commons.io.build.AbstractStreamBuilder<XmlStreamWriter,XmlStreamWriter.Builder>
      - - org.apache.commons.io.output.XmlStreamWriter.Builder

- All Implemented Interfaces:
    IOSupplier<XmlStreamWriter>
  Enclosing class:
    XmlStreamWriter

      public static class XmlStreamWriter.Builder
      extends AbstractStreamBuilder<XmlStreamWriter,XmlStreamWriter.Builder>

  Builds a new `XmlStreamWriter`.

  For example:

       WriterOutputStream w = WriterOutputStream.builder()
         .setPath(path)
         .setCharset(StandardCharsets.UTF_8)
         .get();

  See Also:
    `get()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()` Constructs a new builder of `XmlStreamWriter`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XmlStreamWriter` | `get()` Builds a new `XmlStreamWriter`.

    - ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

      `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

      `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier, getUnchecked`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Constructs a new builder of `XmlStreamWriter`.

  - ### Method Detail

    - #### get

          public XmlStreamWriter get()
                              throws IOException

      Builds a new `XmlStreamWriter`.

      You must set an aspect that supports `AbstractStreamBuilder.getOutputStream()` on this builder, otherwise, this method throws an exception.

      This builder uses the following aspects:

      - `AbstractStreamBuilder.getOutputStream()`
      - `AbstractStreamBuilder.getCharset()`
      Returns:
        a new instance.
      Throws:
        `IllegalStateException` - if the `origin` is `null`.
        `UnsupportedOperationException` - if the origin cannot be converted to an `OutputStream`.
        `IOException` - if an I/O error occurs converting to an `OutputStream` using `AbstractStreamBuilder.getOutputStream()`.
      See Also:
        `AbstractStreamBuilder.getOutputStream()`, `IOSupplier.getUnchecked()`